Subject: Re: [PATCH net-next v2 5/7] tcp: allow tls to decrypt directly from the tcp rcv queue

From: Jakub Kicinski <[email-masked]>
Date: Thu, 21 Jul 2022 10:35:38 -0700

On Thu, 21 Jul 2022 12:53:32 +0200 Paolo Abeni wrote:
> I *think* tcp_recv_skb() is not needed here, the consumed skb has been
> removed in the above loop. AFAICS tcp_read_sock() needs it because the
> recv_actor can release and re-acquire the socket lock just after the
> previous tcp_recv_skb() call. 

I see, thanks!

> I guess that retpoline overhead is a concern, to avoid calling
> tcp_read_sock() with a dummy recv_actor?

Yes, and I figured the resulting helper is not very large so should 
be okay. But I can redo it with tcp_read_sock() if you prefer.